## msgraph 0.2.1

=== meson_options.txt ===
option('introspection',
  type: 'boolean',
  value: true,
  description: 'Build GObject Introspection (GIR) files',
)

option('gtk_doc',
  type: 'boolean',
  value: true,
  description: 'Build the reference documentation (requires gi-docgen)',
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Build with tests enabled',
)

=== debian/changelog ===
msgraph (0.2.1-0ubuntu3) noble; urgency=medium

  * d/tests: Add build tests as autopkgtests (LP:#2059509).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 02 Apr 2024 13:20:38 +0200

msgraph (0.2.1-0ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:37:17 +0000

msgraph (0.2.1-0ubuntu1) noble; urgency=medium

  * New upstream release
  * Enable build tests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Mar 2024 17:58:35 -0400

msgraph (0.2.0-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:15:30 +0000

msgraph (0.2.0-0ubuntu1) noble; urgency=medium

  * New upstream release
  * debian/libmsgraph-0-1.symbols: Add new symbols
  * Drop patch: applied in new release
  * Update Homepage, upstream metadata, and watch file for repo move

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 29 Feb 2024 17:13:18 -0500

msgraph (0.1.0-0ubuntu1) noble; urgency=medium

  * Initial Ubuntu release (LP: #2054164)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 16:53:02 -0500

msgraph (0.1.0-1) experimental; urgency=medium

  * Initial release (Closes: #1062324)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 16 Feb 2024 15:59:28 -0500

=== debian/control ===
Source: msgraph
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends: at-spi2-core <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               gi-docgen,
               libgoa-1.0-dev,
               librest-dev,
               libuhttpmock-dev (>= 0.10),
               meson
Standards-Version: 4.6.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/gnome-team/msgraph
Vcs-Git: https://salsa.debian.org/gnome-team/msgraph.git
Homepage: https://gnome.pages.gitlab.gnome.org/msgraph/

Package: libmsgraph-0-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: library for accessing the Microsoft Graph API
 libmsgraph is a GLib-based library for accessing online service APIs
 using the Microsoft Graph protocol.

Package: libmsgraph-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         gir1.2-msg-0 (= ${binary:Version}),
         libmsgraph-0-1 (= ${binary:Version}),
         libgoa-1.0-dev,
         librest-dev,
Suggests: libmsgraph-doc,
Description: library for accessing the Microsoft Graph API - development files
 libmsgraph is a GLib-based library for accessing online service APIs
 using the Microsoft Graph protocol.
 .
 This package contains the development files.

Package: libmsgraph-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: library for accessing the Microsoft Graph API - documentation
 libmsgraph is a GLib-based library for accessing online service APIs
 using the Microsoft Graph protocol.
 .
 This package contains the API reference.

Package: gir1.2-msg-0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject introspection data for libmsgraph
 This package contains GObject introspection information.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

## msgraph 0.2.2

=== debian/changelog ===
msgraph (0.2.2-1) unstable; urgency=medium

  * New upstream release
  * debian/libmsgraph-0-1.symbols: Update
  * Bump minimum uhttpmock
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 11:06:21 -0400

msgraph (0.2.1-1) unstable; urgency=medium

  [ Jeremy Bícha ]
  * New upstream release
  * Release to unstable

  [ Nathan Pratta Teodosio ]
  * d/tests: Add build tests as autopkgtests

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 May 2024 11:57:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: msgraph
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: at-spi2-core <!nocheck>,
                debhelper-compat (= 13),
@@ -10,9 +9,9 @@
                gi-docgen,
                libgoa-1.0-dev,
                librest-dev,
-               libuhttpmock-dev (>= 0.10),
+               libuhttpmock-dev (>= 0.10.0-3~),
                meson
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/gnome-team/msgraph
 Vcs-Git: https://salsa.debian.org/gnome-team/msgraph.git

## msgraph 0.2.3

=== debian/changelog ===
msgraph (0.2.3-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum uhttpmock to 0.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Jul 2024 17:49:53 -0400

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                gi-docgen,
                libgoa-1.0-dev,
                librest-dev,
-               libuhttpmock-dev (>= 0.10.0-3~),
+               libuhttpmock-dev (>= 0.11.0),
                meson
 Standards-Version: 4.7.0
 Rules-Requires-Root: no

=== debian/tests/control ===
Tests: upstream-unit-tests 
Depends: @, @builddeps@, ca-certificates, glib-networking
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## msgraph 0.3.3

=== debian/changelog ===
msgraph (0.3.3-3) unstable; urgency=medium

  [ Simon McVittie ]
  * d/p/doc-Update-URL-to-libsoup.patch:
    Update URL to libsoup documentation, avoiding an expired domain that
    is no longer under GNOME's control

  [ Jeremy Bícha ]
  * Add additional gir*dev Build-Depends

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 22 Mar 2025 09:44:12 -0400

msgraph (0.3.3-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 15:38:38 -0500

msgraph (0.3.3-1) experimental; urgency=medium

  * New upstream release
  * Update package names for soname bump
  * debian/libmsgraph-1-1.symbols: Update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 05 Feb 2025 16:17:09 -0500

msgraph (0.2.3-2) unstable; urgency=medium

  * Add Build-Depends: ca-certificates for build tests (Closes: #1064744)
  * Add Provides: ${gir:Provides} to libmsgraph-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 02 Oct 2024 09:10:58 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,15 @@
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends: at-spi2-core <!nocheck>,
+               ca-certificates <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                gi-docgen,
+               gir1.2-gio-2.0-dev,
+               gir1.2-goa-1.0-dev,
+               gir1.2-gobject-2.0-dev,
+               gir1.2-json-1.0-dev,
+               gir1.2-soup-3.0-dev,
                libgoa-1.0-dev,
                librest-dev,
                libuhttpmock-dev (>= 0.11.0),
@@ -17,7 +23,7 @@
 Vcs-Git: https://salsa.debian.org/gnome-team/msgraph.git
 Homepage: https://gnome.pages.gitlab.gnome.org/msgraph/
 
-Package: libmsgraph-0-1
+Package: libmsgraph-1-1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends},
@@ -30,11 +36,12 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         gir1.2-msg-0 (= ${binary:Version}),
-         libmsgraph-0-1 (= ${binary:Version}),
+Depends: ${gir:Depends},
+         ${misc:Depends},
+         libmsgraph-1-1 (= ${binary:Version}),
          libgoa-1.0-dev,
          librest-dev,
+Provides: ${gir:Provides}
 Suggests: libmsgraph-doc,
 Description: library for accessing the Microsoft Graph API - development files
  libmsgraph is a GLib-based library for accessing online service APIs
@@ -53,7 +60,7 @@
  .
  This package contains the API reference.
 
-Package: gir1.2-msg-0
+Package: gir1.2-msg-1
 Section: introspection
 Architecture: any
 Multi-Arch: same
